Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.support
Class ManagedSet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              java.util.HashSet<E>
                  java.util.LinkedHashSet
                      org.springframework.beans.factory.support.ManagedSet

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, Set, BeanMetadataElement, Mergeable

    public class ManagedSet

extends LinkedHashSet
implements Mergeable, BeanMetadataElement

Tag collection class used to hold managed Set values, which may include runtime bean references (to be resolved into bean objects).

Since:
  21.01.2004
Author:
  Juergen Hoeller, Rob Harrop
See Also:
  Serialized Form

Constructor Summary
`ManagedSet()`
`ManagedSet(int initialCapacity)`

Method Summary
`Object` | `getSource()` Return the configuration source `Object` for this metadata element (may be `null`).
`boolean` | `isMergeEnabled()` Is merging enabled for this particular instance?
`Object` | `merge(Object parent)` Merge the current value set with that of the supplied object.
`void` | `setMergeEnabled(boolean mergeEnabled)` Set whether merging should be enabled for this collection, in case of a 'parent' collection value being present.
`void` | `setSource(Object source)` Set the configuration source `Object` for this metadata element.

Methods inherited from class java.util.HashSet
`add, clear, clone, contains, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### ManagedSet

    public ManagedSet()

### ManagedSet

    public ManagedSet(int initialCapacity)

Method Detail

### setSource

    public void setSource(Object source)

  Set the configuration source `Object` for this metadata element.

  The exact type of the object will depend on the configuration mechanism used.

### getSource

    public Object getSource()

  Description copied from interface: `BeanMetadataElement`
  Return the configuration source `Object` for this metadata element (may be `null`).

  Specified by:
    `getSource` in interface `BeanMetadataElement`

### setMergeEnabled

    public void setMergeEnabled(boolean mergeEnabled)

  Set whether merging should be enabled for this collection, in case of a 'parent' collection value being present.

### isMergeEnabled

    public boolean isMergeEnabled()

  Description copied from interface: `Mergeable`
  Is merging enabled for this particular instance?

  Specified by:
    `isMergeEnabled` in interface `Mergeable`

### merge

    public Object merge(Object parent)

  Description copied from interface: `Mergeable`
  Merge the current value set with that of the supplied object.

  The supplied object is considered the parent, and values in the callee's value set must override those of the supplied object.

  Specified by:
    `merge` in interface `Mergeable`
  Parameters:
    `parent` - the object to merge with
  Returns:
    the result of the merge operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.